(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('foundation-lib', ['exports', '@angular/core', '@angular/common'], factory) :
    (factory((global['foundation-lib'] = {}),global.ng.core,global.ng.common));
}(this, (function (exports,i0,common) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FoundationLibService = /** @class */ (function () {
        function FoundationLibService() {
        }
        FoundationLibService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        FoundationLibService.ctorParameters = function () { return []; };
        /** @nocollapse */ FoundationLibService.ngInjectableDef = i0.defineInjectable({ factory: function FoundationLibService_Factory() { return new FoundationLibService(); }, token: FoundationLibService, providedIn: "root" });
        return FoundationLibService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FoundationLibComponent = /** @class */ (function () {
        function FoundationLibComponent() {
        }
        /**
         * @return {?}
         */
        FoundationLibComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        FoundationLibComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'foundation-foundation-lib',
                        template: "\n    <p>\n      foundation-lib works!\n    </p>\n  "
                    }] }
        ];
        /** @nocollapse */
        FoundationLibComponent.ctorParameters = function () { return []; };
        return FoundationLibComponent;
    }());

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (b.hasOwnProperty(p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var Format = {
        DATE_TIME_FORMAT: 'dd.MM.yyyy H:mm',
    };
    var DateTimeFormatPipe = /** @class */ (function (_super) {
        __extends(DateTimeFormatPipe, _super);
        function DateTimeFormatPipe() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
        DateTimeFormatPipe.prototype.transform = /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
            function (value, args) {
                return _super.prototype.transform.call(this, value, Format.DATE_TIME_FORMAT);
            };
        DateTimeFormatPipe.decorators = [
            { type: i0.Pipe, args: [{
                        name: 'dateTimeFormat'
                    },] }
        ];
        return DateTimeFormatPipe;
    }(common.DatePipe));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FoundationLibModule = /** @class */ (function () {
        function FoundationLibModule() {
        }
        FoundationLibModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [FoundationLibComponent, DateTimeFormatPipe],
                        imports: [],
                        exports: [FoundationLibComponent, DateTimeFormatPipe]
                    },] }
        ];
        return FoundationLibModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.FoundationLibService = FoundationLibService;
    exports.FoundationLibComponent = FoundationLibComponent;
    exports.FoundationLibModule = FoundationLibModule;
    exports.DateTimeFormatPipe = DateTimeFormatPipe;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=foundation-lib.umd.js.map