import { Injectable, Component, NgModule, Pipe, defineInjectable } from '@angular/core';
import { DatePipe } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FoundationLibService {
    constructor() { }
}
FoundationLibService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
FoundationLibService.ctorParameters = () => [];
/** @nocollapse */ FoundationLibService.ngInjectableDef = defineInjectable({ factory: function FoundationLibService_Factory() { return new FoundationLibService(); }, token: FoundationLibService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FoundationLibComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
FoundationLibComponent.decorators = [
    { type: Component, args: [{
                selector: 'foundation-foundation-lib',
                template: `
    <p>
      foundation-lib works!
    </p>
  `
            }] }
];
/** @nocollapse */
FoundationLibComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @enum {string} */
const Format = {
    DATE_TIME_FORMAT: 'dd.MM.yyyy H:mm',
};
class DateTimeFormatPipe extends DatePipe {
    /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    transform(value, args) {
        return super.transform(value, Format.DATE_TIME_FORMAT);
    }
}
DateTimeFormatPipe.decorators = [
    { type: Pipe, args: [{
                name: 'dateTimeFormat'
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FoundationLibModule {
}
FoundationLibModule.decorators = [
    { type: NgModule, args: [{
                declarations: [FoundationLibComponent, DateTimeFormatPipe],
                imports: [],
                exports: [FoundationLibComponent, DateTimeFormatPipe]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { FoundationLibService, FoundationLibComponent, FoundationLibModule, DateTimeFormatPipe };

//# sourceMappingURL=foundation-lib.js.map